var sys = require('sys');
var pingdom = require('./lib/pingdom.js');
var logger = require('./lib/logger.js').getLogger('pingdom_sample');

logger.trace('Attempting to send test message');

/**
pingdom.createCheck('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {
	'name' : 'new_test',
	'host' : 'www3.crowdfore.com',
	'type' : 'http',
	'url' : '/'
}, function(response) {
	var newcheckid = response.check.id;
	logger.trace('Got response to new check:\n%s', sys.inspect(response, false, 10));
	pingdom.modifyCheck('ryan@cloudfloor.com', 'NTBiMjhhZTIx', newcheckid, {
		'name' : 'newer_test'
	}, function(response) {
		logger.trace('Got response to modify check:\n%s', sys.inspect(response, false, 10));
		pingdom.deleteCheck('ryan@cloudfloor.com', 'NTBiMjhhZTIx', newcheckid, function(response) {
			logger.trace('Got response to delete check:\n%s', sys.inspect(response, false, 10));
		});
	});
});
**/

/**
pingdom.getAnalysis('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759, {'limit' : 1}, function(response) {
	logger.trace('Got analysis results:\n%s', sys.inspect(response, false, 10));

	pingdom.getRawAnalysis('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759, response.analysis[0].id, {'limit' : 1}, function(response) {
		logger.trace('Got response to get checks:\n%s', sys.inspect(response, false, 10));
	});
	
});
**/

/**
pingdom.getContacts('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {'limit' : 4}, function(response) {
	logger.trace('Got response to get contacts:\n%s', sys.inspect(response, false, 10));
	
	pingdom.createContact('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {
		'name' : 'Booch',
		'email' : 'fruitiger@monkey.com'
	}, function(response) {	
		logger.trace('Got response to new contact:\n%s', sys.inspect(response, false, 10));
		var newcontactid = response.contact.id;
		pingdom.modifyContact('ryan@cloudfloor.com', 'NTBiMjhhZTIx', newcontactid, {
			'email' : 'art@boose.com'
		}, function(response) {
			logger.trace('Got response to modify contact:\n%s', sys.inspect(response, false, 10));
			pingdom.deleteContact('ryan@cloudfloor.com', 'NTBiMjhhZTIx', newcontactid, function(response) {
				logger.trace('Got response to delete contact:\n%s', sys.inspect(response, false, 10));
			});
		});
	});	
});
**/

/**
pingdom.createEmailReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {
	'name' : 'Booch'
}, function(response) {	
	logger.trace('Got response to new email report:\n%s', sys.inspect(response, false, 10));
		
	pingdom.getEmailReportList('ryan@cloudfloor.com', 'NTBiMjhhZTIx', function(response) {
		logger.trace('Got response to get email report list:\n%s', sys.inspect(response, false, 10));
		var id = -1;
		for (var i=0; i<response.subscriptions.length; ++i) {
			if (response.subscriptions[i].name === 'Booch') {
				id = response.subscriptions[i].id;
				break;
			}
		}
		
		if (id !== -1) { 
			pingdom.modifyEmailReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', id, {'name' : 'Pookie'}, function(response) {
				logger.trace('Got response to modify email report:\n%s', sys.inspect(response, false, 10));
				pingdom.deleteEmailReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', id, function(response) {
					logger.trace('Got response to delete email report:\n%s', sys.inspect(response, false, 10));
				});
			});
		}
	});
});


pingdom.getPublicReportList('ryan@cloudfloor.com', 'NTBiMjhhZTIx', function(response) {
	logger.trace('Got response to get contacts:\n%s', sys.inspect(response, false, 10));
	
	pingdom.publishPublicReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 297009, function(response) {	
		logger.trace('Got response to publish public report:\n%s', sys.inspect(response, false, 10));
		pingdom.withdrawPublicReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 297009, function(response) {
			logger.trace('Got response to withdraw public report:\n%s', sys.inspect(response, false, 10));
		});
	});	
});
**/

/**
pingdom.createSharedReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {
	'sharedtype' : 'banner',
	'checkid' : 284693
}, function(response) {	
	logger.trace('Got response to new email report:\n%s', sys.inspect(response, false, 10));
		
	pingdom.getSharedReportList('ryan@cloudfloor.com', 'NTBiMjhhZTIx', function(response) {
		logger.trace('Got response to get shared report list:\n%s', sys.inspect(response, false, 10));
		var id = -1;
		for (var i=0; i<response.shared.banners.length; ++i) {
			if (response.shared.banners[i].checkid === 284693) {
				logger.info('Found a match!');
				id = response.shared.banners[i].id;
				break;
			}
		}
		
		if (id !== -1) { 
			pingdom.deleteSharedReport('ryan@cloudfloor.com', 'NTBiMjhhZTIx', id, function(response) {
				logger.trace('Got response to delete shared report:\n%s', sys.inspect(response, false, 10));
			});
		}
	});
});

pingdom.getRawCheckResults('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759, {'limit':5, 'includeanalysis': true}, function(response) {
	logger.trace('Got response to get raw check results:\n%s', sys.inspect(response, false, 10));
});


pingdom.getCurrentServerTime('ryan@cloudfloor.com', 'NTBiMjhhZTIx', function(response) {
	logger.trace('Got response to get get current server time:\n%s', sys.inspect(response, false, 10));
	
	var time = response.servertime;
	pingdom.modifySettings('ryan@cloudfloor.com', 'NTBiMjhhZTIx', {'company' : time + ' Inc'}, function(response) {
		logger.trace('Got response to modify settings:\n%s', sys.inspect(response, false, 10));
		pingdom.getSettings('ryan@cloudfloor.com', 'NTBiMjhhZTIx', function(response) {
			logger.trace('Got response to get settings:\n%s', sys.inspect(response, false, 10));
			
			if (response.settings.company === time + ' Inc') {
				logger.info('Setting change successful');
			}
		});
	});	
});

pingdom.getSummaryAverage('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759,
{
	'from' : (new Date().getTime() - 60*60*1000)/1000,
	'includeuptime' : true,
	'bycountry' : true
},
function(response) {
	logger.trace('Got response to get summary average:\n%s', sys.inspect(response, false, 10));
});

pingdom.getSummaryAverage('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759,
{
	'from' : (new Date().getTime() - 60*60*1000)/1000,
	'byprobe' : true
},
function(response) {
	logger.trace('Got response to get summary average:\n%s', sys.inspect(response, false, 10));
});	
	
pingdom.getSummaryOutage('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759, { 'from' : (new Date().getTime() - 60*60*1000)/1000 }, function(response) {
	logger.trace('Got response to get summary average:\n%s', sys.inspect(response, false, 10));
});	

pingdom.getSummaryPerformance('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759,
{
	'from' : (new Date().getTime() - 4*60*60*1000)/1000,
	'resolution' : 'hour',
	'includeuptime' : true
}, 
function(response) {
	logger.trace('Got response to get summary performance intervals:\n%s', sys.inspect(response, false, 10));
});	

pingdom.getSummaryProbes('ryan@cloudfloor.com', 'NTBiMjhhZTIx', 286759, { 'from' : (new Date().getTime() - 4*60*60*1000)/1000 }, function(response) {
	logger.trace('Got response to get summary probes:\n%s', sys.inspect(response, false, 10));
});	
	**/




